QGIS Application - Bug report #12745
processing python error
2015-05-12 03:06 PM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 20844
Description

using the GRASS r.drain module I'm getting (master and 2.8.2, Windows and Linux) the following python error that does not seems
specific to the GRASS backend, but also I'm not able (at the moment) to trigger it within other modules. The error show regardless the
CRS of the layers used. It was not an issue until 2.4.

Traceback (most recent call last):
File "C:/OSGeo4W/apps/qgis/./python/plugins\\processing\\gui\\AlgorithmDialog.py", line 148, in accept
if checkCRS and not self.alg.checklnputCRS():
File "C:/OSGeo4W/apps/qgis/./python/plugins\\processing\\core\\GeoAlgorithm.py", line 410, in checklnputCRS
crs = dataobjects.getObject(item).crs()
AttributeError: 'NoneType' object has no attribute 'crs'

History

#1 - 2015-06-07 04:05 AM - Giovanni Manghi
- Category changed from 94 to Processing/Core

#2 - 2015-06-11 07:12 AM - Paolo Cavallini

Are we sure this is a blocker?

#3 - 2015-06-11 07:14 AM - Giovanni Manghi
- Target version changed from Version 2.10 to Future Release - High Priority

Paolo Cavallini wrote:

Are we sure this is a blocker?

a blocker is by definition a regression, and this is a regression. It was also my understanding that this does not means anymore that it should actually block

arelease.

#4 - 2015-06-11 07:22 AM - Paolo Cavallini

In this case, better rename the category (a blocker that does not block does not make much sense, right?).

)
#5 - 2015-06-11 07:26 AM - Giovanni Manghi

Paolo Cavallini wrote:

In this case, better rename the category (a blocker that does not block does not make much sense, right?).

)

this is not my call, | just try keep the tracker clean regardless how the tickets are classified.

#6 - 2015-06-19 01:07 AM - Martin Dobias

| am unable to replicate - could you please provide a simple test project?

#7 - 2015-06-19 01:07 AM - Martin Dobias
- Status changed from Open to Feedback
#8 - 2015-06-19 03:49 AM - Giovanni Manghi

- Resolution set to not reproducable
- Status changed from Feedback to Closed

| also cannot replicate it anymore.
